Understanding Society User Support - Support #482

Siblings variable in BHPS Wave 13
01/10/2016 01:57 PM - Sharon Rith

Status: Closed Start date: 01/10/2016
Priority: Normal % Done: 100%
Assignee: Sharon Rith

Category: Questionnaire content

Description

Hi | am using the BHPS Wave 13 to undertake some undergraduate research.

I am unclear about the variable 'mnsibs' (number of siblings ever had), could you tell me if the category 'inapplicable' is for individuals
with 0 siblings.
Since my study focuses on only children therefore | need a 0 category.

History

#1 - 01/11/2016 10:41 AM - Victoria Nolan

- Status changed from New to In Progress

- Assignee changed from Sharon Rith to Alita Nandi

- % Done changed from 0 to 10

Dear Sharon,

Many thanks for your enquiry. | have assigned this to my colleague Alita who will be able to respond to you in due course.
This issue seems to be duplicated in the user support forum, so | will delete the duplicate entry, if that is ok?

Best wishes,

Victoria

On behalf of the Understanding Society User Support Team

#2 - 01/11/2016 07:37 PM - Alita Nandi
- % Done changed from 10 to 90

Yes the category 'inapplicable’ is for individuals with 0 siblings (MSIBS=2). It is also inapplicable for individuals who answered don't know or refuse to

that question (MSIBS = -2, -1).

You can check this by tabulating MSIBS for cases where MNSIBS=-9
In Stata,
tab msibs if mnsibs==-8

Hope this helps.

#3 - 01/12/2016 11:33 AM - Sharon Rith

Thank you for your help Alita & Victoria, that is extremely useful to know!

Additionally, concerning the youth questionnaire in wave 13 (myouth); would those individuals also be included in the larger sample within the indall
data file, since | will need to know the number of siblings and birth position of the youths and therefore have to merge the data across the wave on
STATA.

Thanks in advance.

#4 - 01/12/2016 04:38 PM - Alita Nandi

Yes. Indall includes some basic information on every household member (all ages) of every responding household in that wave.

#5 - 01/17/2016 06:38 PM - Sharon Rith

Since some variables in Wave 13 do not have enough responses, | am trying to merge variables from other waves into this wave since they are more
completely answered.
For example the variable mmaju has many missing values whereas when | look back into previous wave 11 there are many more 'valid cases'.
However | am struggling to use the STATA 'merge' command to take the data from individual variable, kmaju and add it onto the data from Wave 13.
Is this possible and if so please could you give me some guidance on how to apply this change in STATA? | may wish to do the same with other
variables which are not adequately answered or even included in wave 13.

| hope it is clear what I'm trying to ask, thanks again.

#6 - 01/20/2016 02:06 PM - Alita Nandi
Hello,
To merge individual level files from different waves use pidp. For example,

use pidp kmaju using kindresp, clear
merge 1:1 pidp usng mindresp, keepusing(pidp mmaju)

But we have done this exercise for you. We provide this variable and other time invariant variables in the file xwavedat. It is an individual level file
(each row uniquely identified by pidp). It contains all individuals ever present in a responding household in the 18 waves of the BHPS (N=43,272). So,
after merging your analysis sample with this file, you should remove all those individuals who are in xwavedat but not in your analysis sample.

Hope this helps.

#7 - 01/20/2016 02:11 PM - Alita Nandi

Error: For the BHPS the unique cross-wave individual identifier is "pid" and not "pidp" ("pidp" is for Understanding Society).

#8 - 01/21/2016 12:22 PM - Sharon Rith
Hi thanks for the reply,

Unfortunately when | follow those commands for my data | end up only retaining the three variables pid, kmaju and mmaju. But | actually want to
retain all my original data from Wave 13 and in effect replace mmaju information with applicable kmaju information(l understand | may lose some
individuals).

| am unsure about your advice concerning xwavedat; do you mean | should merge any additional variables to that and treat it as my base data set?
Howeve xwavedat does not contain siblings or birth position so | would have to add these in...

Thanks.

#9 - 01/21/2016 05:18 PM - Alita Nandi
Hi Sharon,

Sorry about the confusion - the above Stata code was an example to show how to merge the different files. You will need to include the variables you
need.

About xwavedat: Some questions such as parental info (when respondent was aged 14) is only collected the first time the person is interviewed. So,
for example person A is interviewed for the first time in wave 1. Then in wave 2, B joins A's household. So, as B is interviewed for the first time in
wave 2, B is asked these questions in wave 2. That is why you will find many cases with missing parental information at each wave. What BHPS data
team has done, is picked up these variables from whichever wave it has been reported and puts them in one person level flat file called xwavedat. So,
| was suggesting that instead of doing this exercise yourself you could just use the xwavedat.

If you would like to know more about data management for the BHPS take a look at the free online course:
https://www.understandingsociety.ac.uk/documentation/training/online/bhps

Hope this helps.

#10 - 01/28/2016 06:32 PM - Alita Nandi
- Assignee changed from Alita Nandi to Sharon Rith

#11 - 02/11/2016 01:13 PM - Victoria Nolan
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
